Subject: Re: failed install of perl module Tk under cygwin
From: Gerrit Peter Haase <[email-masked]>
To: rhoopc - Ross Hoopchuk <[email-masked]>, [email-masked]
Date: Mon, 15 Jan 2001 21:34:49 +0000

rhoopc - Ross Hoopchuk schrieb:
> 
> Hello and Good Afternoon:
> 
> I've been following the conversation about "install of perl Tk under cygwin"
> and have been experiencing similar problems. I guess I'm trying to make sure
> I don't have a setup problem on my end.
> 
> I'm following the basic steps outlined in README.cygwin from
> Tk_cygwin_patch.txt posted by Eric Fifer (many thanks). When I run:
>         patch -p1 < Tk_cygwin_patch.txt
> I get messages like:
> 
> patching file `DragDrop/Win32Site/Win32Site.xs'
> Hunk #1 FAILED at 3.
> 1 out of 1 hunk FAILED -- saving rejects to
> DragDrop/Win32Site/Win32Site.xs.rej
[...]

What version of Tkperl do you have?

Maybe the patches were corrupted by download?

I got Tk800.022, for me the two patches work o.k.
After patching successful, just type:

$ perl Makefile.PL

What version of cygwin do you have?
What system are you on?
Some more information will be helpful to help you.

Include output of cygcheck -s -v -r in your answer, 
please and tell us in which dir did you tried to apply the patches?

-- 
Gerrit

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple